﻿using C1.Win.C1FlexGrid;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Data.OleDb;
using System.Diagnostics;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace RowCaptionFromDataSource
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            Load += Form1_Load;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            _flex.Cols.Fixed = 0;
            _flex.DataSource = GetDataTable("select * from [Order Details]");

            _flex.Cols[0].Style = _flex.Styles.Fixed;
            _flex.AllowMerging = AllowMergingEnum.RestrictRows;
            _flex.Cols[0].AllowMerging = true;
            _flex.Cols[0].Width = 40;
            _flex[0, 0] = null;
        }

        private DataTable GetDataTable(string query)
        {
            string connStr = GetConnectionString();
            string commandText = query;
            OleDbDataAdapter adapter = new OleDbDataAdapter(commandText, connStr);
            DataTable table = new DataTable();
            adapter.Fill(table);

            return table;
        }

        private string GetConnectionString()
        {
            string path = Environment.GetFolderPath(Environment.SpecialFolder.Personal) + @"\ComponentOne Samples\Common";
            string conn = "Provider=Microsoft.Jet.OLEDB.4.0; Data Source={0}\\C1NWind.mdb";
            return String.Format(conn, path);
        }
    }
}
